summaryrefslogtreecommitdiffstats
path: root/system/rmw
diff options
context:
space:
mode:
author Andy Alt <andyqwerty@users.sourceforge.net>2011-02-06 13:50:48 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-02-06 13:50:48 -0600
commit43981d72512b8c92054d438d10fea660aa9fc22c (patch)
treefa84f4bc307e417488e19f2805eb6af0247ccc0a /system/rmw
parent28d3550550fad97d375589819595776d51999238 (diff)
downloadslackbuilds-43981d72512b8c92054d438d10fea660aa9fc22c.tar.gz
slackbuilds-43981d72512b8c92054d438d10fea660aa9fc22c.tar.xz
system/rmw: Added (command line trash can/recycle bin)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/rmw')
-rw-r--r--system/rmw/README5
-rw-r--r--system/rmw/rmw.SlackBuild76
-rw-r--r--system/rmw/rmw.info10
-rw-r--r--system/rmw/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/system/rmw/README b/system/rmw/README
new file mode 100644
index 0000000000..4609893e17
--- /dev/null
+++ b/system/rmw/README
@@ -0,0 +1,5 @@
+rmw (Remove to Waste) is a bash script which functions as a command
+line recycle bin/trash can utility. Optionally, it can ReMove files
+to Desktop trash and has been tested on GNOME, KDE, and Xfce. It
+features quick and easy restoration from the command line, duplication
+protection, and can purge files after x amount of days.
diff --git a/system/rmw/rmw.SlackBuild b/system/rmw/rmw.SlackBuild
new file mode 100644
index 0000000000..65acfcccff
--- /dev/null
+++ b/system/rmw/rmw.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for rmw
+
+# Written by (Andy Alt) (andyqwerty@users.sourceforge.net)
+
+PRGNAM=rmw
+VERSION=${VERSION:-0.98.3.7beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/rmw/rmw.info b/system/rmw/rmw.info
new file mode 100644
index 0000000000..525047c7d1
--- /dev/null
+++ b/system/rmw/rmw.info
@@ -0,0 +1,10 @@
+PRGNAM="rmw"
+VERSION="0.98.3.7beta"
+HOMEPAGE="http://rmw.sf.net/"
+DOWNLOAD="http://downloads.sourceforge.net/rmw/rmw-0.98.3.7beta.tar.gz"
+MD5SUM="e546efa801f45f0d939b7436a1873dba"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Alt"
+EMAIL="andyqwerty@users.sourceforge.net"
+APPROVED="rworkman"
diff --git a/system/rmw/slack-desc b/system/rmw/slack-desc
new file mode 100644
index 0000000000..a3479c0c44
--- /dev/null
+++ b/system/rmw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------|
+rmw: rmw (command line trash can/recycle bin)
+rmw:
+rmw: rmw (ReMove to Waste) is a bash script which functions
+rmw: as a command line recycle bin/trash can utility. Optionally,
+rmw: it can ReMove files to Desktop trash and has been tested
+rmw: on GNOME, KDE, and Xfce. It features quick and easy restoration
+rmw: from the command line, duplication protection, and can purge
+rmw: files after x amount of days.
+rmw:
+rmw: Homepage: http://rmw.sf.net/
+rmw: